<!-- =========================================================================================
    File Name: User.vue
    Description: User Page
========================================================================================== -->
<template>
  <div class="row sm-gutters settings">
    <!-- SETTINGS NAV -->
    <div class="col-md-3">
      <div class="col-md-12">
        <div
            class="nav flex-column nav-pills settings-nav"
            id="v-pills-tab"
            role="tablist"
            aria-orientation="vertical"
        >
            <router-link class="nav-link" to="profile" :class="{ active: ($route.name == 'user-profile')}">
              <i class="icon ion-md-person"></i> Profile
            </router-link>
            <router-link class="nav-link" to="wallet" :class="{ active: ($route.name == 'user-wallet')}">
              <i class="icon ion-md-wallet"></i> Wallet
            </router-link>
            <router-link class="nav-link" to="settings" :class="{ active: ($route.name == 'user-settings')}">
              <i class="icon ion-md-settings"></i> Settings
            </router-link>
        </div>
    </div>
    </div>
    <div class="col-md-9">
      <router-view :key="$route.fullPath"></router-view>
    </div>
  </div>
</template>
<script>

export default {
  name: 'User',
  layout: 'ExchangeLayout',
  created() {
    let path = null;
    try {
      if (process.browser) path = location.pathname;
    } catch(e) {f
      path = null;
    }
    if ((path == '/user') || (path == '/user/')) {
      this.$router.push('/user/profile');
    }
  }
}
</script>
